CompactionManagerMBean (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db.compaction

## Interface CompactionManagerMBean

- All Known Implementing Classes:
    CompactionManager

      public interface CompactionManagerMBean

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `forceUserDefinedCompaction(java.lang.String dataFiles)` Triggers the compaction of user specified sstables.
    `javax.management.openmbean.TabularData` | `getCompactionHistory()` compaction history
    `java.util.List<java.util.Map<java.lang.String,java.lang.String>>` | `getCompactions()` List of running compaction objects.
    `java.util.List<java.lang.String>` | `getCompactionSummary()` List of running compaction summary strings.
    `long` | `getCompletedTasks()` Deprecated.
    `int` | `getCoreCompactorThreads()` Returns core size of compaction thread pool
    `int` | `getCoreValidationThreads()` Returns core size of validation thread pool
    `int` | `getMaximumCompactorThreads()` Returns maximum size of compaction thread pool
    `int` | `getMaximumValidatorThreads()` Returns size of validator thread pool
    `int` | `getPendingTasks()` Deprecated.
    `long` | `getTotalBytesCompacted()` Deprecated.
    `long` | `getTotalCompactionsCompleted()` Deprecated.
    `void` | `setCoreCompactorThreads(int number)` Allows user to resize maximum size of the compaction thread pool.
    `void` | `setCoreValidationThreads(int number)` Allows user to resize maximum size of the compaction thread pool.
    `void` | `setMaximumCompactorThreads(int number)` Allows user to resize maximum size of the compaction thread pool.
    `void` | `setMaximumValidatorThreads(int number)` Allows user to resize maximum size of the validator thread pool.
    `void` | `stopCompaction(java.lang.String type)` Stop all running compaction-like tasks having the provided `type`.

- - ### Method Detail

    - #### getCompactions

          java.util.List<java.util.Map<java.lang.String,java.lang.String>> getCompactions()

      List of running compaction objects.

    - #### getCompactionSummary

          java.util.List<java.lang.String> getCompactionSummary()

      List of running compaction summary strings.

    - #### getCompactionHistory

          javax.management.openmbean.TabularData getCompactionHistory()

      compaction history

    - #### getPendingTasks

          @Deprecated
          int getPendingTasks()

      Deprecated.
      Returns:
        estimated number of compactions remaining to perform
      See Also:
        `CompactionMetrics.pendingTasks`

    - #### getCompletedTasks

          @Deprecated
          long getCompletedTasks()

      Deprecated.
      Returns:
        number of completed compactions since server [re]start
      See Also:
        `CompactionMetrics.completedTasks`

    - #### getTotalBytesCompacted

          @Deprecated
          long getTotalBytesCompacted()

      Deprecated.
      Returns:
        total number of bytes compacted since server [re]start
      See Also:
        `CompactionMetrics.bytesCompacted`

    - #### getTotalCompactionsCompleted

          @Deprecated
          long getTotalCompactionsCompleted()

      Deprecated.
      Returns:
        total number of compactions since server [re]start
      See Also:
        `CompactionMetrics.totalCompactionsCompleted`

    - #### forceUserDefinedCompaction

          void forceUserDefinedCompaction(java.lang.String dataFiles)

      Triggers the compaction of user specified sstables. You can specify files from various keyspaces and columnfamilies. If you do so, user defined compaction is performed several times to the groups of files in the same keyspace/columnfamily.
      Parameters:
        `dataFiles` - a comma separated list of sstable filename to compact

    - #### stopCompaction

          void stopCompaction(java.lang.String type)

      Stop all running compaction-like tasks having the provided `type`.
      Parameters:
        `type` - the type of compaction to stop. Can be one of: - COMPACTION - VALIDATION - CLEANUP - SCRUB - INDEX_BUILD

    - #### getCoreCompactorThreads

          int getCoreCompactorThreads()

      Returns core size of compaction thread pool

    - #### setCoreCompactorThreads

          void setCoreCompactorThreads(int number)

      Allows user to resize maximum size of the compaction thread pool.
      Parameters:
        `number` - New maximum of compaction threads

    - #### getMaximumCompactorThreads

          int getMaximumCompactorThreads()

      Returns maximum size of compaction thread pool

    - #### setMaximumCompactorThreads

          void setMaximumCompactorThreads(int number)

      Allows user to resize maximum size of the compaction thread pool.
      Parameters:
        `number` - New maximum of compaction threads

    - #### getCoreValidationThreads

          int getCoreValidationThreads()

      Returns core size of validation thread pool

    - #### setCoreValidationThreads

          void setCoreValidationThreads(int number)

      Allows user to resize maximum size of the compaction thread pool.
      Parameters:
        `number` - New maximum of compaction threads

    - #### getMaximumValidatorThreads

          int getMaximumValidatorThreads()

      Returns size of validator thread pool

    - #### setMaximumValidatorThreads

          void setMaximumValidatorThreads(int number)

      Allows user to resize maximum size of the validator thread pool.
      Parameters:
        `number` - New maximum of validator threads

Copyright © 2014 The Apache Software Foundation